

ic_servaddr is accessible after boot via /proc/net/pnp.  So it cannot be
__initdata.

davej says that other varibles there are treated the same way, so move them
all into the regular data section.


 net/ipv4/ipconfig.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff -puN net/ipv4/ipconfig.c~pnp_get_info-oops-fix net/ipv4/ipconfig.c
--- 25/net/ipv4/ipconfig.c~pnp_get_info-oops-fix	2003-08-09 15:12:15.000000000 -0700
+++ 25-akpm/net/ipv4/ipconfig.c	2003-08-09 15:12:15.000000000 -0700
@@ -125,14 +125,14 @@ int ic_proto_enabled __initdata = 0
 
 int ic_host_name_set __initdata = 0;		/* Host name set by us? */
 
-u32 ic_myaddr __initdata = INADDR_NONE;		/* My IP address */
-u32 ic_netmask __initdata = INADDR_NONE;	/* Netmask for local subnet */
-u32 ic_gateway __initdata = INADDR_NONE;	/* Gateway IP address */
+u32 ic_myaddr = INADDR_NONE;		/* My IP address */
+u32 ic_netmask = INADDR_NONE;	/* Netmask for local subnet */
+u32 ic_gateway = INADDR_NONE;	/* Gateway IP address */
 
-u32 ic_servaddr __initdata = INADDR_NONE;	/* Boot server IP address */
+u32 ic_servaddr = INADDR_NONE;	/* Boot server IP address */
 
-u32 root_server_addr __initdata = INADDR_NONE;	/* Address of NFS server */
-u8 root_server_path[256] __initdata = { 0, };	/* Path to mount as root */
+u32 root_server_addr = INADDR_NONE;	/* Address of NFS server */
+u8 root_server_path[256] = { 0, };	/* Path to mount as root */
 
 /* Persistent data: */
 

_
